@font-face {
  font-family: "Agbalumo";
  src: url("fonts/Agbalumo-Regular.ttf");
}

@font-face {
  font-family: "Assistant";
  src: url("fonts/Assistant-VariableFont_wght.ttf");
}

html {
  font-size: 120%;
}

body {
  position: relative;
  overflow-x: auto;

  &::before {
    content: "";
    position: fixed;
    z-index: -1;
    width: 100svw;
    height: 100svh;
    background-image: url("./background_mobile.webp");
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    top: 0;
    left: 0;
  }

  min-height: 100svh;

  font-family: Assistant;

  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 32px;

  @media (orientation: landscape) {
    &::before {
      background-image: url("./background_desktop.webp");
    }

    flex-direction: row;
    justify-content: center;
    align-items: flex-start;
  }
}

h1 {
  font-family: Agbalumo;
  font-size: 3.5em;
  @media (orientation: landscape) {
    font-size: 5em;
  }
}
h2 {
  font-size: 2.5em;
  @media (orientation: landscape) {
    font-size: 4.5em;
  }
}
h3 {
  font-size: 2.25em;
  @media (orientation: landscape) {
    font-size: 4em;
  }
}
h4 {
  font-size: 2em;
  @media (orientation: landscape) {
    font-size: 3em;
  }
}
h5 {
  font-size: 1.5em;
  @media (orientation: landscape) {
    font-size: 2em;
  }
}
h6 {
  font-size: 1em;
}

button {
  padding: 0;
  border: none;
  background: none;
}

a:where(:visited),
a:any-link {
  color: inherit;
}

#heroImage {
  width: 75vw;
  max-width: 300px;
}

.heroSection {
  width: 100%;
  max-width: 500px;
  padding: 0 2.5vw;

  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;

  @media (orientation: landscape) {
    position: sticky;
    top: 0;

    padding: 0;
    height: 100svh;
    width: 40svw;

    justify-content: center;
  }
}

.logo {
  margin-top: 32px;

  display: flex;
  flex-direction: column;
  align-items: center;

  h1 {
    line-height: 1;
    margin-top: 8px;
    margin-bottom: 16px;
  }

  @media (orientation: landscape) {
    margin-top: 0;

    h1 {
      margin-top: 16px;
      margin-bottom: 32px;
    }
  }
}

main {
  padding: 0 2.5vw;

  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;

  @media (orientation: landscape) {
    padding: 0;
    min-height: 100svh;
    justify-content: center;
  }
}

#upcomingEventsTitle {
  margin-bottom: 16px;

  @media (orientation: landscape) {
    font-size: 2em;
    margin-bottom: 32px;
    margin-top: 32px;
  }
}

.posters {
  display: flex;
  flex-direction: column;
  gap: 16px;

  article {
    width: 80vw;
    max-width: 500px;
  }

  @media (orientation: landscape) {
    margin-bottom: 32px;
    padding: 0 32px;

    &::after {
      content: "More to be announced…";
      opacity: 0.5;
    }
  }
}

footer {
  opacity: 0.5;
  display: flex;
  align-items: center;

  p {
    font-style: italic;
  }

  &.mobileFooter {
    height: 200px;
  }

  &.desktopFooter {
    display: none;
    height: 100px;
  }

  @media (orientation: landscape) {
    &.mobileFooter {
      display: none;
    }

    &.desktopFooter {
      display: flex;
    }
  }
}
